Commit bd99a348 authored by Ingo Klöcker's avatar Ingo Klöcker Committed by Ingo Klöcker
Browse files

kstyle: Fix build with KF 5.90

The minimum required KF is 5.90, but the namespaced include of
TabletModeWatcher didn't exist until KF 5.91. Use the old non-namespaced
include, if the namespaced include doesn't exist.
parent a60f04df
Pipeline #193304 passed with stage
in 4 minutes and 57 seconds
......@@ -56,7 +56,12 @@
#if BREEZE_HAVE_QTQUICK
#include <KCoreAddons>
#if __has_include(<Kirigami/TabletModeWatcher>)
// the namespaced include is new in KF 5.91
#include <Kirigami/TabletModeWatcher>
#else
#include <TabletModeWatcher>
#endif
#include <QQuickWindow>
#endif
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment